Last Comment Bug 747800 - Fix code causing |Warning: function xyz does not always return a value|
: Fix code causing |Warning: function xyz does not always return a value|
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 15.0
Assigned To: Jim Porter (:squib)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 15:00 PDT by Jim Porter (:squib)
Modified: 2012-05-09 07:26 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove these warnings (6.90 KB, patch)
2012-04-22 15:00 PDT, Jim Porter (:squib)
standard8: review+
Details | Diff | Splinter Review

Description Jim Porter (:squib) 2012-04-22 15:00:08 PDT
Created attachment 617351 [details] [diff] [review]
Remove these warnings

There are a bunch of spots in our code that throw |Warning: function xyz does not always return a value|. Let's fix them so as to reduce the messiness in the Error Console. This has been annoying me lately, as I've been trying to fix startup issues in an add-on, and I always have to scroll past this stuff.
Comment 1 Mark Banner (:standard8) 2012-04-23 06:30:38 PDT
Comment on attachment 617351 [details] [diff] [review]
Remove these warnings

Review of attachment 617351 [details] [diff] [review]:
-----------------------------------------------------------------

Please can you generate -p patches (showfunc) in future, it helps with locating the functions that you're changing.

Otherwise looks good.
Comment 2 Jim Porter (:squib) 2012-04-24 20:28:26 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/076c3f2bbb9b

(And hgrc updated to show functions in diffs.)
Comment 3 :aceman 2012-04-25 01:13:58 PDT
This is great.
If you spot any similar warnings in the Account manager that are not covered in bug 738810, please assign them to me :)
Comment 4 Florian Quèze [:florian] [:flo] 2012-05-09 07:26:23 PDT
Thanks for fixing this, I'm annoyed too by warnings at startup :-).

I would appreciate being CC'ed to bugs with patches touching chat/, as these also need to be applied to the upstream Instantbird repository.

Note You need to log in before you can comment on or make changes to this bug.